Download it now!
Bug 114207 - 'Page' appearing in multiple places in main menu rather than 'Slide'
Summary: 'Page' appearing in multiple places in main menu rather than 'Slide'
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:6.1.0 target:6.0.0.1
Keywords:
Depends on:
Blocks: Main-Menu SD-Shared-Code
  Show dependency treegraph
 
Reported: 2017-12-02 12:34 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-02-21 13:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-12-02 12:34:05 UTC
Pulled from 114175.

In Impress there are still 2 occurrences, where “Page” is used:
[1] Menu: Insert > Pate Number… (I think this menu item could be removed, see bug 104088)
[2] Menu: Insert > Fields > Page number, Page Title and Page Count
Comment 1 Yousuf Philips (jay) (retired) 2017-12-02 12:35:18 UTC
Confirmed.

Version: 6.1.0.0.alpha0+
Build ID: 2618e4a13d719122e6358d9d96864d1691e56a02
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 2 Yousuf Philips (jay) (retired) 2017-12-02 18:18:51 UTC
Patch - https://gerrit.libreoffice.org/45722
Comment 3 Commit Notification 2017-12-06 15:59:21 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=495ac1bc97f3deea8e13cb1a2b9f59d087873c3f

tdf#114207 create commands for slide number and slide fields

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-12-16 11:00:04 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a4bba04f339d9714fa7ca22cfa76f09163c70e38&h=libreoffice-6-0

tdf#114207 create commands for slide number and slide fields

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Harald Koester 2018-02-21 13:17:34 UTC
Checked with version 6.0.1 (64 bit, Win 10). WFM now, hence bug closed.